\newpage
\subsection{Service 12: On-Board Monitoring}

\begin{description}
	\item[Objective]\hfill\\
	
	Messages of this service are used to define report structures and to report results of on-board parameter monitoring based on these structures. Service 12 works together with 'Service 5' and 'Service 19' to report threshold violations by generating events and react on these events by triggering on-board actions (see \autoref{fig:51219}).\\
	All parameters are monitored with respect to the checks defined on-ground which can vary in type and provided tolerance.
	
	
	\begin{figure}[h]
		\centering
		\includegraphics[width=0.8\textwidth]{./Pics/ST5ST12ST19.eps}
		\caption{Connection between ST[5], ST[12] an ST[19]}
		\label{fig:51219}
	\end{figure}
	
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 12,1 & Enable parameter monitoring definitions\\
			\rowcolor{TcHeader!20}TC & 12,2 & Disable parameter monitoring definitions\\
			\rowcolor{TcHeader!20}TC & 12,3 & Change the maximum transition reporting delay\\
			\rowcolor{TcHeader!20}TC & 12,4 & Delete all parameter monitoring definitions\\
			\rowcolor{TcHeader!20}TC & 12,5 & Add parameter monitoring definitions\\
			\rowcolor{TcHeader!20}TC & 12,6 & Delete parameter monitoring definitons\\
			\rowcolor{TcHeader!20}TC & 12,7 & Modify parameter monitoring definitions\\
			\rowcolor{TcHeader!20}TC & 12,8 & Report parameter monitoring definitions\\
			\rowcolor{TmHeader!20}TM & 12,9 & Parameter monitoring definition report\\
			\rowcolor{TcHeader!20}TC & 12,10 & Report the out-of-limits\\
			\rowcolor{TmHeader!20}TM & 12,11 & Out-of-limits report\\
			\rowcolor{TmHeader!20}TM & 12,12 & Check transition report\\
			\rowcolor{TcHeader!20}TC & 12,13 & Report the status of each parameter monitoring definition\\
			\rowcolor{TmHeader!20}TM & 12,14 & Parameter monitoring definition status report\\
			\rowcolor{TcHeader!20}TC & 12,15 & Enable the parameter monitoring function\\
			\rowcolor{TcHeader!20}TC & 12,16 & Disable the parameter monitoring function\\
			\bottomrule
		\end{tabular}
		\caption{Service 12 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 12,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,1} & \textbf{Enable parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request enables the addressed parameter monitoring definitions. After being enabled the corresponding parameters gets monitored and checked according to the monitoring definition.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & PMON ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(12,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to enable. The maximum value is 109.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definitions to enable.
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,2} & \textbf{Disable parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request disables the addressed parameter monitoring definitions. No more checks will be performed on the corresponding parameters.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 2 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & PMON ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 16 Bit \\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(12,2)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to disable. The maximum value is 109.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definitions to disable.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,3} & \textbf{Change the maximum transition reporting delay}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request changes the maximum transition reporting delay which is used for the generation of the \textit{Check Transition Report} (TM (12,12)).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Max. Reporting Delay\\
			\hline
			\hline\rowcolor{TcBody}
			Unsigned Integer\\
			\hline\rowcolor{TcBody}
			16 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(12,3)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Max. Reporting Delay}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The maximum reporting delay. The unit is seconds.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,4} & \textbf{Delete all parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes all defined parameter monitoring definitions.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 4 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,5} & \textbf{Add parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request adds a specified number of parameter monitoring definitions.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
			\hhline{|------|~~}
			\rowcolor{TcHeader}
			& & & \multicolumn{3}{>{\centering}p{0.357\textwidth}|}{\cellcolor{TcHeader} Check Validity Condition} & & \cellcolor{white}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|---|~~}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & \multirow{-2}{*}{PMON ID} & \multirow{-2}{*}{\parbox{0.1\textwidth}{Monitored Param ID}} & Validity Param ID & Mask &  Expected Value	&&\cellcolor{white}\\
			\hhline{|------|~~}					\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{|------|~~}
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Enum & Enum & Bit-String & Deduced & & \cellcolor{white}\\
			\hhline{|------|~~}
			\rowcolor{TcBody}
			8 Bit&16 Bit&24 Bit&16 Bit&n Bit&n Bit&& \cellcolor{white}\\
			\hhline{|>{\arrayrulecolor{TcBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TcBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TcBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TcBody}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TcBody}
			&&&&\multicolumn{2}{c|}{\cellcolor{TcBody} $n\cdot8$ Bit}&&\cellcolor{white}\\
			\hhline{|------|~~}
			\multicolumn{1}{c}{} & \multicolumn{5}{|>{\centering}p{0.5\textwidth}|}{$\leftarrow$ Repeated N times} & \multicolumn{2}{c}{}\\
		\end{tabular}
		
		\vspace{0.75cm}
		\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hhline{~~|----|}
			\rowcolor{TcHeader}
			\cellcolor{white} & & & & & \\
			\rowcolor{TcHeader}
			\cellcolor{white} & & \multirow{-2}{*}{\parbox{0.15\textwidth}{Monitoring Interval}} & \multirow{-2}{*}{\parbox{0.15\textwidth}{Repetition Number}} & \multirow{-2}{*}{\parbox{0.15\textwidth}{Check Type}} & \\
			\rowcolor{TcHeader}
			\cellcolor{white} &&&&&\multirow{-3}{*}{\parbox{0.15\textwidth}{Check Type Dependent Criteria}}\\
			\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{~~|----|}
			\rowcolor{TcBody}
			\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Enum & see below \\
			\hhline{~~|---|>{\arrayrulecolor{TcBody}}->{\arrayrulecolor{black}}|}
			\rowcolor{TcBody}
			\cellcolor{white} &&14 Bit&16 Bit&2 Bit& \\
			\hhline{~~|----|}
			\multicolumn{2}{c}{} & \multicolumn{4}{|>{\centering}p{0.3\textwidth}|}{Repeated N times $\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}				
		Application Data TC(12,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to add. The maximum value is 12.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definition.\\
		& \\
		\textbf{Monitored Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=24 \end{tabular} & The identifier of the on-board parameter to monitor.\\
		& \\
		\textbf{Check Validity\newline Condition}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} ID:& PTC=2 &PFC=16 \\ Mask:& PTC=6& PFC=var. \\ Value:& PTC=11 &PFC=0 \end{tabular} & Information for the conditional checking of the PMON.  The size of the mask field and the structure of the Value field will be implicitly known through the ID. The size of the mask field and the value field combined must be $n\cdot8\ Bit$. This is an optional field.\\
		& \\
		\textbf{Monitoring Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=10 \end{tabular} & The interval for performing the check. This is an optional field.\\
		& \\
		\textbf{Repetition Number}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The number of repetitions of the specified check.\\
		& \\
		\textbf{Check Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=2 \end{tabular} & Indicates which kind of check has to be performed. Possible values are:\newline00 - "expected-value-checking"\newline11 - "limit-checking"\newline01 - "delta-checking"\\
		& \\
		\textbf{Check Type Dependent\newline Criteria} & The criteria for the check is dependent from the used check type.\newline If the type is "expected-value-checking", the structure of the field is shown in \autoref{tab:EVC}. If the type is "limit-checking", the structure of the filed is shown in \autoref{tab:LC} and if the type is "delta-checking", the structure is shown in \autoref{tab:DC}.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If any high limit/threshold is lower than the corresponding low limit/threshold the application data field becomes invalid.\\
	\newline
	If one addressed parameter or validity parameter is not accessible the application data field becomes invalid.
	
	\newpage
	
	\subsubsection*{Check Type Dependent Criteria - Structure}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[H]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\rowcolor{gray!30}
			Mask & Spare & Expected Value & ED ID\\
			\hline
			\hline
			\rowcolor{gray!15}
			Bit-String & Bit-String & Deduced & Enumerated\\
			\hline
			\rowcolor{gray!15}
			$n\cdot8$ Bit&16 Bit&$n\cdot8$ Bit&16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{Optional} & \multicolumn{2}{c}{}\\
		\end{tabular}
		\caption{Structure of "Check type dependent criteria" field - "expected-value-checking"}
		\label{tab:EVC}
	\end{table}
	
	\begin{description}
		\item[Note]\hfill\\
		The size ($n\cdot8\ Bit$) and structure of the \textit{Mask} and the \textit{Expected Value} field will be implicitly known through the \textit{Monitored Param ID}.
	\end{description}
	
	\hrule
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[H]
		\centering	\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\rowcolor{gray!30}
			Low Limit & ED ID & High Limit & ED ID\\
			\hline
			\hline
			\rowcolor{gray!15}
			Deduced & Enum & Deduced & Enum\\
			\hline
			\rowcolor{gray!15}
			$n\cdot8$ Bit&16 Bit&$n\cdot8$ Bit&16 Bit\\
			\hline
		\end{tabular}
		\caption{Structure of "Check type dependent criteria" field - "limit-checking"}
		\label{tab:LC}
	\end{table}
	
	\begin{description}
		\item[Note]\hfill\\
		The size ($n\cdot8\ Bit$) and structure of the \textit{Low Limit} and the \textit{High Limit} field will be implicitly known through the \textit{Monitored Param ID}.
	\end{description}
	
	\hrule
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[H]
		\centering	\begin{tabular}{|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hline
			\rowcolor{gray!30}
			Low Delta\newline Threshold & ED ID & High Delta\newline Threshold & ED ID & Number Of\newline Consecutive Delta Values\\
			\hline
			\hline
			\rowcolor{gray!15}
			Deduced & Enum & Deduced & Enum & Unsigned\newline Integer\\
			\hline
			\rowcolor{gray!15}
			$n\cdot8$ Bit&16 Bit&$n\cdot8$ Bit&16 Bit&8 Bit\\
			\hline
		\end{tabular}
		\caption{Structure of "Check type dependent criteria" field - "delta-checking"}
		\label{tab:DC}
	\end{table}
	
	\begin{description}
		\item[Note]\hfill\\
		The size ($n\cdot8\ Bit$) and structure of the \textit{Low Delta Threshold} and the \textit{High Delta Threshold} field will be implicitly known through the \textit{Monitored Param ID}.
	\end{description}
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,6} & \textbf{Delete parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes the addressed parameter monitoring definitions.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\begin{table}[h]
		\centering
		\setlength\arrayrulewidth{1pt}
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & PMON ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit& 16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(12,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to delete. The maximum value is 109.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definitions to delete.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,7} & \textbf{Modify parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request modifies the addressed Parameter Monitoring Definitions. It is possible to change the values of the \textit{Repetition Number} or of the \textit{Check Type} corresponding with the \textit{Check Type Dependent Criteria}.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & PMON ID & Monitored Param ID & Repetition Number & Check Type & Check Type Dependent Criteria\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Enum & Unsigned Integer & Enum & see below\\
			\hhline{|-----|>{\arrayrulecolor{TcBody}}->{\arrayrulecolor{black}}|}
			\rowcolor{TcBody}
			8 Bit&16 Bit&24 Bit&14 Bit&2 Bit& \\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{5}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(12,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to modify. The maximum value is 19.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definition to modify.\\
		& \\
		\textbf{Monitored Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the on-board parameter to monitor.\\
		& \\
		\textbf{Repetition Number}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=10 \end{tabular} & The number of repetitions of the check.\\
		& \\
		\textbf{Check Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=2 \end{tabular} & Indicates which kind of check has to be performed. Possible values are:\newline00 - "expected-value-checking"\newline11 - "limit-checking"\newline01 - "delta-checking"\\
		& \\
		\textbf{Check Type Dependent\newline Criteria} & The criteria for the check is dependent from the used check type.\newline The structure of this field can be found in \autoref{tab:EVC}, \autoref{tab:LC} or \autoref{tab:DC} at TC(11,5), dependent from the used check type.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If any high limit/threshold is lower than the corresponding low limit/threshold the Application Data field becomes invalid.
	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,8} & \textbf{Report parameter monitoring definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about the addressed parameter monitoring definitions. Hereby the structure of the monitoring definition and the limit values of the parameter monitoring definition are requested. The answer for this request is TM(12,9).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 8 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & PMON ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit& 16 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(12,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to report. The maximum value is 109.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definitions to report.
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 12,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{12,9} & \textbf{Parameter monitoring definition report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This report contains all information about the requested Parameter Monitoring Definitions. The generation of this TM is initiated by receiving TC(12,8).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 9 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.112\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
			\hhline{|-------|~~}
			\rowcolor{TmHeader!85}
			& & & & \multicolumn{3}{>{\centering}p{0.369\textwidth}|}{\cellcolor{TmHeader!85} Check Validity Condition} & & \cellcolor{white}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|---|~~}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\parbox{0.1\textwidth}{Max. Transition Reporting Delay}} & \multirow{-2}{*}{N} & \multirow{-2}{*}{PMON ID} & \multirow{-2}{*}{\parbox{0.1\textwidth}{Monitored Param ID}} & Validity Param ID\newline & Mask &  Expected Value	&&\cellcolor{white}\\
			\hhline{|-------|~~}					\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{|-------|~~}
			\rowcolor{TmBody}
			Unsigned Integer & Unsigned Integer & Enum & Enum & Enum & Bit-String & Deduced & & \cellcolor{white}\\
			\hhline{|-------|~~}
			\rowcolor{TmBody}
			16 Bit&8 Bit&16 Bit&24 Bit&16 Bit&n Bit&n Bit&& \cellcolor{white}\\
			\hhline{|>{\arrayrulecolor{TmBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmBody}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmBody}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TmBody}
			&&&&&\multicolumn{2}{c|}{\cellcolor{TmBody} $n\cdot8$ Bit}&&\cellcolor{white}\\
			\hhline{|-------|~~}
			\multicolumn{2}{c}{} & \multicolumn{5}{|>{\centering}p{0.5\textwidth}|}{$\leftarrow$Repeated N times} & \multicolumn{2}{c}{}\\
		\end{tabular}
		
		\vspace{0.75cm}
		\begin{tabular}{p{0.12\textwidth}p{0.005\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.15\textwidth}|}
			\hhline{~~|-----|}
			\rowcolor{TmHeader!85}
			\cellcolor{white} & & & & & &\\
			\rowcolor{TmHeader!85}
			\cellcolor{white} & & \multirow{-2}{*}{\parbox{0.12\textwidth}{Monitoring Interval}} & \multirow{-2}{*}{\parbox{0.12\textwidth}{PMON Status}} & \multirow{-2}{*}{\parbox{0.12\textwidth}{Repetition Number}} & \multirow{-2}{*}{\parbox{0.12\textwidth}{Check Type}} & \\
			\rowcolor{TmHeader!85}
			\cellcolor{white} & & & & & & \multirow{-3}{*}{\parbox{0.15\textwidth}{Check Type\newline Dependant\newline Criteria}}\\
			\hhline{~~|-----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{~~|-----|}
			\rowcolor{TmBody}
			\cellcolor{white} && Unsigned Integer & Enum & Unsigned Integer & Enum & see below \\
			\hhline{~~|----|>{\arrayrulecolor{TmBody}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmBody}
			\cellcolor{white} &&13 Bit&1 Bit&16 Bit&2 Bit& \\
			\hhline{~~|-----|}
			\multicolumn{2}{c}{} & \multicolumn{5}{|>{\centering}p{0.3\textwidth}|}{Repeated N times $\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(12,9)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Max. Transition\newline Reporting Delay}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The maximum reporting delay used for TM(12,12). This is an optional field.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter monitoring definitions to report. The maximum value is 13.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definition to modify.\\
		& \\
		\textbf{Monitored Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the on-board parameter to monitor.\\
		& \\
		\textbf{Check Validity\newline Condition}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} ID:& PTC=2 &PFC=16 \\ Mask:& PTC=6& PFC=var. \\ Value:& PTC=11 &PFC=0 \end{tabular}& Information for the conditional checking of the PMON.  The size of the mask field and the structure of the value field will be implicitly known through the ID. The size of the mask field and the value field combined is $n\cdot8\  Bit$. This is an optional field.\\
		& \\
		\textbf{Monitoring Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=9 \end{tabular} & The interval for performing the check. This is an optional field.\\
		& \\
		\textbf{PMON Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=1 \end{tabular} & Indicator whether the parameter monitoring definition is "enabled" or "disabled". The values are:\newline0 - disabled\newline1 - enabled\\
		& \\
		\textbf{Repetition Number}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The number of repetitions of the specified check.\\
		& \\
		\textbf{Check Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=2 \end{tabular} & Indicates which kind of check has to be performed. Possible values are:\newline00 - "expected-value-checking"\newline11 - "limit-checking"\newline01 - "delta-checking"\\
		& \\
		\textbf{Check Type Dependent\newline Criteria} & The criteria for the check is dependent from the used check type.\newline If the type is "expected-value-checking", the structure of the field is shown in \autoref{tab:EVC}. If the type is "limit-checking", the structure of the filed is shown in \autoref{tab:LC} and if the type is "delta-checking", the structure is shown in \autoref{tab:DC}.\\	
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,10
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,10} & \textbf{Report the out-of-limits}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about all found out-of-limits. The answer for this request is TM(12,11).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 10 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 12,11
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{12,11} & \textbf{Out-of-limits report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This report contains all current out-of-limits including the checking status of the Parameter Monitoring Definition.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 11 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
			\hhline{|-----|~~}
			\rowcolor{TmHeader!85}
			N & PMON ID & Monitored Param ID & Check Type & Expected Value Check Mask & & \cellcolor{white}\\ 
			\hhline{|-----|~~}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{|-----|~~}
			\rowcolor{TmBody}
			Unsigned Integer & Enum & Enum & Enum & Bit-String & & \cellcolor{white}\\ 
			\hhline{|-----|~~}
			\rowcolor{TmBody}
			8 Bit&16 Bit&24 Bit&2 Bit&$n\cdot8$ Bit&&\cellcolor{white}\\
			\hhline{|-----|~~}
			\multicolumn{1}{c}{} & \multicolumn{4}{|>{\centering}p{0.4\textwidth}|}{$\leftarrow$Repeated N times} & \multicolumn{2}{c}{}\\
		\end{tabular}
		
		\vspace{0.75cm}
		
		\begin{tabular}{p{0.1\textwidth}p{0.005\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hhline{~~|-----|}
			\rowcolor{TmHeader!85}
			\cellcolor{white} & & Param Value & Limit Crossed & Previous PMON Checking Status & Current PMON Checking Status & Transition Time\\
			\hhline{~~|-----|}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{~~|-----|}
			\rowcolor{TmBody}
			\cellcolor{white} & & Deduced & Deduced & Enum & Enum & Absolute Time\\
			\hhline{~~|-----|}
			\rowcolor{TmBody}
			\cellcolor{white}&&$n\cdot8$ Bit&$n\cdot8$ Bit&3 Bit&3 Bit&64 Bit\\
			\hhline{~~|-----|}
			\multicolumn{2}{c}{} & \multicolumn{5}{|>{\centering}p{0.6\textwidth}|}{Repeated N times $\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(12,11)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of out-of-limits to report. The maximum value is 13.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definition.\\
		& \\
		\textbf{Monitored Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the monitored parameter.\\
		& \\
		\textbf{Check Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=2 \end{tabular} & Indicates which kind of check has to be performed. Possible values are:\newline00 - "expected-value-checking"\newline11 - "limit-checking"\newline01 - "delta-checking".\\
		& \\
		\textbf{Expected Value Check Mask}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=var. \end{tabular} & This field is only present when the check type is "expected-value-checking". It contains the mask to compare the values. The structure will be implicitly known through the ID of the monitored parameter. The size of this field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Param Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The value of the parameter while the last check. The structure will be implicitly known through the \textit{Parameter ID}. The size of this field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Limit Crossed}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The limit (low or high) which was crossed. The structure will be implicitly known through the \textit{Parameter ID}. The size of this field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Previous PMON\newline Checking Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=3 \end{tabular} & Indicates the previous checking status of the associated parameter monitoring definition. The possible values for the status are dependent from the used check type.\newline \textbf{For "expected-value checking" the possible values are:}\newline000 - "expected value"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "unexpected value"\newline \textbf{For "limit-checking" the possible values are:}\newline000 - "within limits"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "below low limit"\newline101 - "above high limit"\newline \textbf{For "delta-checking" the possible values are:}\newline000 - "within thresholds"\newline001 - "unchecked"\newline010 - "invalid"\newline 100 - "below low threshold"\newline101 - "above high threshold".\\
		& \\
		\textbf{Current PMON\newline Checking Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=3 \end{tabular} & Indicates the current checking status of the associated parameter monitoring definition. The possible values for the status are dependent from the used check type.\newline \textbf{For "expected-value checking" the possible values are:}\newline000 - "expected value"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "unexpected value"\newline \textbf{For "limit-checking" the possible values are:}\newline000 - "within limits"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "below low limit"\newline101 - "above high limit"\newline \textbf{For "delta-checking" the possible values are:}\newline000 - "within thresholds"\newline001 - "unchecked"\newline010 - "invalid"\newline 100 - "below low threshold"\newline101 - "above high threshold".\\
		& \\
		\textbf{Transition Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The on-board time of the last check.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 12,12
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{12,12} & \textbf{Check transition report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This report contains all current out-of-limits including the checking status of the Parameter Monitoring Definition.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 12 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
			\hhline{|-----|~~}
			\rowcolor{TmHeader!85}
			N & PMON ID & Monitored Param ID & Check Type & Expected Value Check Mask & & \cellcolor{white}\\ 
			\hhline{|-----|~~}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{|-----|~~}
			\rowcolor{TmBody}
			Unsigned Integer & Enum & Enum & Enum & Bit-String & & \cellcolor{white}\\ 
			\hhline{|-----|~~}
			\rowcolor{TmBody}
			8 Bit&16 Bit&24 Bit&2 Bit&$n\cdot8$ Bit&&\cellcolor{white}\\
			\hhline{|-----|~~}
			\multicolumn{1}{c}{} & \multicolumn{4}{|>{\centering}p{0.4\textwidth}|}{$\leftarrow$Repeated N times} & \multicolumn{2}{c}{}\\
		\end{tabular}
		
		\vspace{0.75cm}
		
		\begin{tabular}{p{0.1\textwidth}p{0.005\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hhline{~~|-----|}
			\rowcolor{TmHeader!85}
			\cellcolor{white} & & Param Value & Limit Crossed & Previous PMON Checking Status & Current PMON Checking Status & Transition Time\\
			\hhline{~~|-----|}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{~~|-----|}
			\rowcolor{TmBody}
			\cellcolor{white} & & Deduced & Deduced & Enum & Enum & Absolute Time\\
			\hhline{~~|-----|}
			\rowcolor{TmBody}
			\cellcolor{white}&&$n\cdot8$ Bit&$n\cdot8$ Bit&3 Bit&3 Bit&64 Bit\\
			\hhline{~~|-----|}
			\multicolumn{2}{c}{} & \multicolumn{5}{|>{\centering}p{0.6\textwidth}|}{Repeated N times $\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(12,12)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of check-transitions to report. The maximum value is 13.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definition.\\
		& \\
		\textbf{Monitored Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the monitored parameter.\\
		& \\
		\textbf{Check Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=2 \end{tabular} & Indicates which kind of check has to be performed. Possible values are:\newline00 - "expected-value-checking"\newline11 - "limit-checking"\newline01 - "delta-checking".\\
		& \\
		\textbf{Expected Value Check Mask}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=var. \end{tabular} & This field is only present when the check type is "expected-value-checking". It contains the mask to compare the values. The structure will be implicitly known through the ID of the monitored parameter. The size of this field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Param Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The value of the parameter while the last check. The structure will be implicitly known through the \textit{Parameter ID}. The size of this field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Limit Crossed}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The limit (low or high) which was crossed. The structure will be implicitly known through the \textit{Parameter ID}. The size of this field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Previous PMON\newline Checking Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=3 \end{tabular} & Indicates the previous checking status of the associated parameter monitoring definition. The possible values for the status are dependent from the used check type.\newline \textbf{For "expected-value checking" the possible values are:}\newline000 - "expected value"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "unexpected value"\newline \textbf{For "limit-checking" the possible values are:}\newline000 - "within limits"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "below low limit"\newline101 - "above high limit"\newline \textbf{For "delta-checking" the possible values are:}\newline000 - "within thresholds"\newline001 - "unchecked"\newline010 - "invalid"\newline 100 - "below low threshold"\newline101 - "above high threshold".\\
		& \\
		\textbf{Current PMON\newline Checking Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=3 \end{tabular} & Indicates the current checking status of the associated parameter monitoring definition. The possible values for the status are dependent from the used check type.\newline \textbf{For "expected-value checking" the possible values are:}\newline000 - "expected value"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "unexpected value"\newline \textbf{For "limit-checking" the possible values are:}\newline000 - "within limits"\newline001 - "unchecked"\newline010 - "invalid"\newline100 - "below low limit"\newline101 - "above high limit"\newline \textbf{For "delta-checking" the possible values are:}\newline000 - "within thresholds"\newline001 - "unchecked"\newline010 - "invalid"\newline 100 - "below low threshold"\newline101 - "above high threshold".\\
		& \\
		\textbf{Transition Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The on-board time of the last check.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,13
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,13} & \textbf{Report the status of each parameter monitoring definition}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about the status of each parameter monitoring definition. The answer for this request is TM(12,14).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 13 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 12,14
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{12,14} & \textbf{Parameter monitoring definition status report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This report contains the current status of each parameter monitoring definition. The generation of this TM is initiated by receiving TC(12,13).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 14 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			N & PMON ID & PMON Status\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned Integer & Enum & Enum\\
			\hline
			\rowcolor{TmBody}
			8 Bit&16 Bit&8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}
		\end{tabular}\\\vspace{10pt}
		Source Data TM(12,14)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of statuses to report. The maximum value is 71.\\
		& \\
		\textbf{PMON ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & The identifier of the parameter monitoring definition.\\
		& \\
		\textbf{PMON Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The status of the parameter monitoring definition. Possible values are:\newline1 - "enabled"\newline0 - "disabled"\\
	\end{longtable}
	\addtocounter{table}{-1}
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,15
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,15} & \textbf{Enable the parameter monitoring function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request enables the functionality of the parameter monitoring. The generation of parameter monitoring reports is only possible if the parameter monitoring function is globally enabled.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 15 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 12,16
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{12,16} & \textbf{Disable the parameter monitoring function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request disables the parameter monitoring function globally.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 12 \\
		
		Service Subtype & 16 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill
